Brivio API reference
Delivery routes

Create a delivery route (status DRAFT; the start address is geocoded). Honours Idempotency-Key. (scope: delivery:write)

POST
/delivery-routes

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
name?string
Lengthlength <= 255
route_date?string

YYYY-MM-DD or ISO date-time; default now

start_location_id?string

Depot; its address is used when start_address is absent

Formatuuid
start_address?
round_trip?boolean
Defaulttrue
vehicle_id?string
Formatuuid
driver_id?string
Formatuuid
capacity_kg?number
Range0 <= value
capacity_parcels?integer
Range0 <= value
gate_visit_id?string
Formatuuid
notes?string
Lengthlength <= 2000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/delivery-routes" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "number": "string",    "name": "string",    "status": "DRAFT",    "route_date": "2019-08-24T14:15:22Z",    "start_location_id": "7694f743-6daf-4514-8e49-2c201e61b66d",    "start_address": {},    "start_latitude": 0,    "start_longitude": 0,    "round_trip": true,    "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf",    "driver_id": "d13674cc-89e2-4383-beab-46a9e6e4a9b2",    "capacity_kg": 0,    "capacity_parcels": 0,    "total_distance_km": 0,    "total_duration_minutes": 0,    "optimized_at": "2019-08-24T14:15:22Z",    "optimizer": "string",    "dispatched_at": "2019-08-24T14:15:22Z",    "started_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "gate_visit_id": "75f6ef13-3183-433b-95d7-bbf0a6ac5bf4",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}